<?php 
namespace app\station\model;
use think\Model;
use think\model\concern\SoftDelete;
class RegionModel extends Model
{
    use SoftDelete;
    protected static $deleteTime = 'delete_time';

    // 开启自动写入时间戳字段
    protected $autoWriteTimestamp = true;
    //主键id
    protected $pk = 'id';
    //数据表
    protected $table = 'region';

    public  function selectRegionList($map){
    $data = $this->field("id,pid")->where($map)->find()->toarray();
    if($data['pid']!=0){
          $mapid[]=['id','=', $data['pid']];
      

      $data = $this->field("id,region_name,region_state,pid")->where($map)->whereor($mapid)->select()->toarray();
    }else{
         $data = $this->field("id,region_name,region_state,pid")->where($map)->select()->toarray();
    }
    
            if($data){
                 return ['code' =>200,'message' => '查询成功' ,'data' => $data];
            }else{
                 return ['code' => -1,  'message' => $this->getError()];
            }
    }
    public function insertRegion($parem){
        try {
            $result=$this->allowField(true)->save($parem);
            if($result){
                 return ['code' =>200,'message' => '添加成功'];
            }else{
                 return ['code' => -1,  'message' => $this->getError()];
            }
        } catch (Exception $e) {
               return ['code' => 0, 'message' => $e->getMessage()];
        }
     }

    public function updRegion($parem){
        try {
           $data=$this->allowField(true)->where(['id' => $parem['id']])->find();
           if($data){
                 $result=$this->allowField(true)->save($parem,['id' => $parem['id']]);
                if($result){
                     return ['code' => 200, 'data' => '', 'message' => '修改成功'];
                }else{
                     return ['code' => -1, 'data' => '', 'message' => $this->getError()];
                }
           }else{
               return ['code' => 10001, 'data' => '', 'message' => '没有id'];
           }
           
        } catch (Exception $e) {
             return ['code' => 0, 'data' => '', 'message' => $e->getMessage()];
        }
     }
      public  function updselectRegion($parem){
         $data = $this->field("id,region_name,region_state")->where($parem)->find();
         if($data){
              return ['code' => 200, 'data' => $data, 'message' => '查询成功'];
         }else{
             return ['code' => 10001, 'data' => '', 'message' => '暂未找到id相关信息'];
         }
        }


    public function delRegion($parem){
         try {
            $data=$this->allowField(true)->where($parem)->find();
            if($data){
                $result=$this->destroy($parem);
                if($result){
                return ['code' => 200, 'data' => '', 'message' => '删除成功'];
                }else{
                return ['code' => -1, 'data' => '', 'message' => $this->getError()];
                }
            }else{
               return ['code' => 10001, 'data' => '', 'message' => $this->getError()];
            }
          
            } catch (Exception $e) {
                 return ['code' => 0, 'data' => '', 'message' => $e->getMessage()];
            }
        }
}